Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class MonthDay

    java.lang.Object
      org.apache.axis.types.MonthDay

All Implemented Interfaces:
  java.io.Serializable

public class MonthDay
extends java.lang.Object
implements java.io.Serializable

Implementation of the XML Schema type gMonthDay

Author:
  Tom Jordahl
See Also:
  XML Schema 3.2.12, Serialized Form

Constructor Summary
`MonthDay(int month, int day)` Constructs a MonthDay with the given values No timezone is specified
`MonthDay(int month, int day, java.lang.String timezone)` Constructs a MonthDay with the given values, including a timezone string The timezone is validated but not used.
`MonthDay(java.lang.String source)` Construct a MonthDay from a String in the format --MM-DD[timezone]

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getDay()`
`int` | `getMonth()`
`java.lang.String` | `getTimezone()`
`int` | `hashCode()` Return the value of (month + day) XORed with the hashCode of timezone iff one is defined.
`void` | `setDay(int day)` Set the day NOTE: if the month isn't set yet, the day isn't validated
`void` | `setMonth(int month)`
`void` | `setTimezone(java.lang.String timezone)`
`void` | `setValue(int month, int day)`
`void` | `setValue(int month, int day, java.lang.String timezone)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonthDay

    public MonthDay(int month,
                    int day)
             throws java.lang.NumberFormatException

  Constructs a MonthDay with the given values No timezone is specified

### MonthDay

    public MonthDay(int month,
                    int day,
                    java.lang.String timezone)
             throws java.lang.NumberFormatException

  Constructs a MonthDay with the given values, including a timezone string The timezone is validated but not used.

### MonthDay

    public MonthDay(java.lang.String source)
             throws java.lang.NumberFormatException

  Construct a MonthDay from a String in the format --MM-DD[timezone]

Method Detail

### getMonth

    public int getMonth()

### setMonth

    public void setMonth(int month)

### getDay

    public int getDay()

### setDay

    public void setDay(int day)

  Set the day NOTE: if the month isn't set yet, the day isn't validated

### getTimezone

    public java.lang.String getTimezone()

### setTimezone

    public void setTimezone(java.lang.String timezone)

### setValue

    public void setValue(int month,
                         int day,
                         java.lang.String timezone)
                  throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### setValue

    public void setValue(int month,
                         int day)
                  throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

  Return the value of (month + day) XORed with the hashCode of timezone iff one is defined.

  Returns:
    an `int` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.